org.bdgenomics.cannoli.cli

## Class About

- java.lang.Object
- - org.bdgenomics.cannoli.cli.About

    public final class About
    extends Object

About.

### Constructor Summary

Constructors
Constructor and Description
`About()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `adamVersion()` Return the ADAM compile scope dependency version.
`String` `artifactId()` Return the artifact id.
`String` `buildTimestamp()` Return the build timestamp.
`String` `commit()` Return the last commit.
`boolean` `isSnapshot()` Return true if the Cannoli version is a snapshot.
`String` `scalaVersion()` Return the Scala compile scope dependency version.
`String` `sparkVersion()` Return the Apache Spark compile scope dependency version.
`String` `version()` Return the Cannoli version.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### About

    public About()

### Method Detail

#### artifactId

    public String artifactId()

Return the artifact id.

Returns:
  the artifact id

#### buildTimestamp

    public String buildTimestamp()

Return the build timestamp.

Returns:
  the build timestamp

#### commit

    public String commit()

Return the last commit.

Returns:
  the last commit

#### adamVersion

    public String adamVersion()

Return the ADAM compile scope dependency version.

Returns:
  the ADAM compile scope dependency version

#### scalaVersion

    public String scalaVersion()

Return the Scala compile scope dependency version.

Returns:
  the Scala compile scope dependency version

#### sparkVersion

    public String sparkVersion()

Return the Apache Spark compile scope dependency version.

Returns:
  the Apache Spark compile scope dependency version

#### version

    public String version()

Return the Cannoli version.

Returns:
  the Cannoli version

#### isSnapshot

    public boolean isSnapshot()

Return true if the Cannoli version is a snapshot.

Returns:
  true if the Cannoli version is a snapshot